/* Theme style */

@media (max-width: 670px) {
    :root {
        --wp--custom--header-height--top: 70px;
    }
}

/* ==========================================================================
Base styles
========================================================================== */

body {
    background-color: var(--wp--preset--color--gray);
}

main {
    margin-top: var(--wp--custom--header-heiget--total);
}

.qt-section.has-background,
.qt-section__inner.has-background {
    padding: var(--wp--preset--spacing--xxl) var(--wp--preset--spacing--m);
}

.qt-section.container-fullwidth,
.qt-section.has-background {
    margin-bottom: 0;
}

.qt-section.is-style-hero:has(+ .qt-section:not(.has-background)),
.qt-section.is-style-subhero:has(+ .qt-section:not(.has-background)) {
    margin-bottom: var(--wp--preset--spacing--xxl);
}

.qt-section.has-background:has(+ .qt-section:not(.has-background)) {
    margin-bottom: var(--wp--preset--spacing--xxl);
}

.has-white-color.has-text-color.has-link-color p {
    color: var(--wp--preset--color--white);
}

/* Headings
========================================================================== */

:where(.has-dark-teal-background-color) :is(.wp-block-heading, p, a, li) {
    color: var(--wp--preset--color--teal);
}

.has-heading-display-font-family {
    line-height: 1.25;
    margin-bottom: 0.5em;
}

.has-heading-font-family {
    font-weight: 500;
}

/* Paragraphs
========================================================================== */

.is-style-tag {
    background-color: var(--wp--preset--color--beige);
    line-height: 1.3;
    max-width: fit-content;
    font-size: var(--wp--preset--font-size--s);
    padding: 3.7px 6.2px;
    /* margin-bottom: var(--wp--preset--spacing--m); */
}

strong {
    font-weight: 500;
}

/* Typography spacing
========================================================================== */

.safe-svg-cover ~ .has-xl-font-size {
    margin-top: var(--wp--preset--spacing--xs);
}

.is-style-tag ~ .wp-block-heading {
    margin-top: 0;
}

.safe-svg-cover ~ .wp-block-heading {
    margin-top: var(--wp--preset--spacing--xs);
}

/* Three and four column grid */
.qt-section :is(.grid-col-3, .grid-col-4) .wp-block-image + .wp-block-heading {
    margin-top: var(--wp--preset--spacing--l);
    margin-bottom: var(--wp--preset--spacing--xs);
}

/* Links
========================================================================== */

/* Lists
========================================================================== */
p + :is(ul, ol),
p + .wp-block-list {
    margin-top: 2rem;
}

:is(ul, ol),
.wp-block-list {
    margin-left: 0;
}

:is(ul, ol):not(.menu) li {
    margin-bottom: 0;
    padding-left: 0;
}

/* Buttons
========================================================================== */

.wp-block-buttons {
    display: flex;
    flex-wrap: wrap;
    gap: var(--wp--style--block-gap);
    margin-top: var(--wp--preset--spacing--l);
}

.wp-block-buttons .wp-block-button__link {
    display: flex;
    align-items: center;
}

/* Secondary button */
.is-style-button-secondary .wp-block-button__link {
    background-color: var(--wp--preset--color--gold);
    color: var(--wp--preset--color--green);
    padding: var(--wp--preset--spacing--xs) var(--wp--preset--spacing--l);
}

/* Outline button */
.is-style-button-outline .wp-block-button__link {
    background-color: transparent;
    color: var(--wp--preset--color--green);
    padding: var(--wp--preset--spacing--xs) var(--wp--preset--spacing--l);
    border: 1.5px solid var(--wp--preset--color--green);
}

/* Outline inverted button */
.is-style-button-outline-inverted .wp-block-button__link {
    background-color: transparent;
    color: var(--wp--preset--color--white);
    padding: var(--wp--preset--spacing--xs) var(--wp--preset--spacing--l);
    border: 1.5px solid var(--wp--preset--color--white);
}

/* Arrow large button */
.is-style-arrow-large .wp-block-button__link {
    font-size: 1.125rem;
    color: var(--wp--preset--color--green);
    background-color: transparent;
    padding: 0.5rem 0;
}

.is-style-arrow-large .wp-block-button__link::after {
    content: url('../images/icon-arrow-large.svg');
    padding-left: 0.625rem;
}

/* Arrow small button */
.is-style-arrow-small .wp-block-button__link {
    font-size: 0.875rem;
    color: var(--wp--preset--color--green);
    background-color: transparent;
    padding: 0;
}

.is-style-arrow-small .wp-block-button__link::after {
    content: url('../images/icon-arrow-small.svg');
    padding-left: 0.625rem;
}

/* Inputs
========================================================================== */

input,
textarea,
select {
    color: var(--wp--preset--color--green);
    background-color: var(--wp--preset--color--white);
    border: 1px solid #ddd;
}

/* Label */
label {
    font-size: var(--wp--preset--font-size--button);
    margin-bottom: 0;
}

/* Input fields */

/* Select */
[type='checkbox'] {
    border-color: var(--wp--preset--color--black);
    background-color: var(--wp--preset--color--white);
    border: 1px solid #ddd;
}

/* Focus and active statements */

/* Acceptance */

/* Submit */
[type='submit'] {
    font-size: var(--wp--preset--font-family--button);
    text-transform: uppercase;
    color: var(--wp--preset--color--white);
    background-color: var(--wp--preset--color--green);
    padding: var(--wp--preset--spacing--xs) var(--wp--preset--spacing--l);
    border-radius: 0;
    border: 1px solid transparent;
    width: 100%;
}

@media (max-width: 768px) {
    .wpcf7-form p:has([type='submit']) {
        grid-column: 1 / -1;
    }
}

/* Contact form 7
========================================================================== */

.wpcf7-form {
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    grid-gap: var(--wp--preset--spacing--l);
}

.wpcf7-form-control-wrap {
    margin-top: var(--wp--preset--spacing--xxs);
    grid-gap: 0;
}

.wpcf7-form p:has(.wpcf7-select),
.wpcf7-form p:has(.wpcf7-textarea),
.wpcf7-form p:has(.wpcf7-acceptance) {
    grid-column: 1 / -1;
}

[data-class='wpcf7cf_group'] {
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    grid-column: 1 / -1;
    grid-gap: var(--wp--preset--spacing--l);
}

.wpcf7-radio label,
.wpcf7-checkbox label,
.wpcf7-acceptance label {
    align-items: flex-start;
}

.wpcf7-form-control-wrap:has(.wpcf7-checkbox) {
    margin-top: 0.75em;
}

.wpcf7 ::placeholder {
    color: var(--wp--preset--color--green);
    opacity: 0.4;
}

@media (max-width: 500px) {
    .wpcf7-form {
        grid-template-columns: minmax(0, 1fr);
    }

    [data-class='wpcf7cf_group'] {
        grid-template-columns: minmax(0, 1fr);
    }
}

/* Media
========================================================================== */

/* Images */
.wp-block-image .aligncenter,
.wp-block-image .alignleft,
.wp-block-image .alignright,
.wp-block-image.aligncenter,
.wp-block-image.alignleft,
.wp-block-image.alignright {
    display: block;
}

/* Video */

/* Iframe & embedded */

/* Files */
.wp-block-file:not(.wp-element-button) {
    font-size: inherit;
}

.wp-block-file:not(:last-child) {
    margin-bottom: var(--wp--preset--spacing--s);
}

/* ==========================================================================
Layout
========================================================================== */

/* Paddings and margins
========================================================================== */

.qt-section__inner.has-background,
.qt-container.has-background {
    padding: var(--wp--preset--spacing--m);
    border-radius: 20px;
}

/* Max widths
========================================================================== */

/* Grids
========================================================================== */
.grid-col-1 {
    grid-gap: calc(4 * var(--wp--preset--spacing--s));
}

.grid-col-2 {
    grid-gap: calc(4 * var(--wp--preset--spacing--s));
}

/* .grid-col-2:not(.has-background) {
    grid-gap: calc(4 * var(--wp--preset--spacing--s));
} */

@media (max-width: 768px) {
    .grid-col-1 {
        grid-gap: calc(3 * var(--wp--preset--spacing--s));
    }

    .grid-col-2 {
        grid-template-columns: minmax(0, 1fr);
        grid-gap: calc(3 * var(--wp--preset--spacing--s));
    }
}

/* ==========================================================================
Announcement bar
========================================================================== */
.announcement-bar {
    background-color: var(--wp--preset--color--green);
    color: var(--wp--preset--color--white);
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 0;
    align-items: center;
    padding: var(--wp--preset--spacing--xxs) var(--wp--preset--spacing--m);
    min-height: var(--wp--custom--header-height--announcement-bar);
    overflow: hidden;
    transition: height 0.2s ease;
    text-align: center;
    position: relative;
}

.announcement-bar p::after {
    content: '';
    display: inline-block;
    width: 11px;
    height: 10px;
    margin-left: 10px;
    background-image: url('../images/icon-arrow-on-background.svg');
    background-size: cover;
}

/* ==========================================================================
Top bar
========================================================================== */

/* ==========================================================================
Header
========================================================================== */
/* .is-style-header-top .qt-container:has(.mega-menu:not(.mega-menu-mobile)) {
    min-width: 330px;
}
*/

.is-style-header-top {
    background-color: var(--wp--preset--color--gray);
    border: none;
}

.is-style-header-top .qt-container:has(.user-toolbar) {
    justify-content: flex-end;
}

.is-style-header-top .qt-container:has(.wp-block-site-logo .custom-logo) {
    position: relative;
}

.is-style-header-top .wp-block-site-logo .custom-logo {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, 0);
}

.is-style-header-top .grid {
    grid-template-columns: repeat(3, minmax(0, 1fr));
    gap: calc(3 * var(--wp--style--block-gap));
}

header .menu {
    grid-gap: 10px;
}

header .menu .menu-item a,
header .menu .menu-item span {
    font-weight: 500;
    font-size: var(--wp--preset--font-size--menu);
    padding: 6px 16px;
}

header .menu > .menu-item.menu-item-has-children > :is(a, span) {
    padding: 6px 6px 6px 16px;
}

header .menu > .menu-item > a:hover,
header .menu > .menu-item > span:hover,
header .menu > .menu-item.is-open > :is(a, span) {
    background-color: var(--wp--preset--color--teal);
    border-radius: 10px;
    opacity: 1;
}

@media (min-width: 1201px) {
    header .menu .menu-item > :is(a, span) + .sub-menu {
        top: 100%;
        box-shadow: none;
    }

    header .menu > .menu-item > :is(a, span) {
        display: inline-block;
        height: auto;
    }

    header .menu > .menu-item > :is(a, span) img {
        vertical-align: middle;
    }

    .mega-menu .mega-menu-item-parent .chevron {
        margin-left: var(--wp--preset--spacing--xxs);
    }
}

/* Desktop menu
========================================================================== */
/* @media (min-width: 1141px) {
    .mega-menu {
        display: block;
    }
} */

/* Site logo */

/* Hamburger icon
========================================================================== */
/* @media (min-width: 1141px) {
    #toggle-hamburger {
        display: none;
    }
} */

/* User toolbar
========================================================================== */

@media (max-width: 1200px) {
    .qt-container:has(.hamburger) .wp-block-buttons {
        margin-right: var(--wp--preset--spacing--s);
    }
}

/* Search bar
========================================================================== */

/* ==========================================================================
Footer
========================================================================== */
.is-style-footer-top {
    padding: clamp(48px, 7vw, 64px) var(--wp--preset--spacing--m)
        var(--wp--preset--spacing--m);
}

.is-style-footer-top .wp-block-image a:hover {
    opacity: 1;
}

.is-style-footer-top .wp-block-group {
    margin-top: var(--wp--preset--spacing--xl);
    gap: 10px;
}

.is-style-footer-top .wp-block-group .wp-block-image img {
    width: 24px;
    height: 24px;
    padding: var(--wp--preset--spacing--tiny);
    border: 1px solid rgba(255, 255, 255, 0.4);
    border-radius: 4px;
}

.is-style-footer-top .wp-block-group .wp-block-image img:hover {
    opacity: 0.6;
}

.is-style-footer-top,
.is-style-footer-bottom {
    background-color: var(--wp--preset--color--green);
}

.is-style-footer-top p,
.is-style-footer-bottom p {
    color: var(--wp--preset--color--white);
}

.is-style-footer-top .grid {
    grid-template-columns: 2fr repeat(3, 1fr);
}

.is-style-footer-bottom {
    padding: 0 var(--wp--preset--spacing--m) clamp(48px, 7vw, 64px);
}

.is-style-footer-bottom .grid-col-2 {
    grid-template-columns: 1fr auto;
}

.is-style-footer-bottom .qt-section__inner {
    border-top: 1px solid rgba(255, 255, 255, 0.2);
    padding-top: var(--wp--preset--spacing--m);
    grid-gap: var(--wp--style--block-gap);
}

.is-style-footer-bottom p {
    font-family: var(--wp--preset--font-family--footer);
    font-size: 14px;
    line-height: 16px;
}

.is-style-footer-bottom .is-style-footer-links a {
    text-decoration: none;
}

.is-style-footer-bottom .is-style-footer-links a:hover {
    color: var(--wp--preset--color--white);
    text-decoration: underline;
}

.is-style-footer-bottom .wp-block-list {
    list-style: none;
    padding-left: 0;
    margin-left: 0;
    display: flex;
    flex-direction: row;
    gap: calc(2 * var(--wp--style--block-gap));
    justify-content: flex-end;
    font-size: var(--wp--preset--font-size--xs);
}

footer .wp-block-list:has(img) {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    gap: var(--wp--preset--spacing--s);
    margin-top: var(--wp--preset--spacing--l);
}

footer .wp-block-list:has(img) li {
    margin: 0;
    padding: 0;
}

footer .wp-block-list img {
    border: 1px solid var(--wp--preset--color--teal);
    border-radius: 5px;
}

@media screen and (max-width: 670px) {
    .is-style-footer-top .grid {
        grid-template-columns: repeat(2, minmax(0, 1fr));
        grid-gap: calc(2 * var(--wp--style--block-gap));
    }

    .is-style-footer-bottom .grid {
        grid-template-columns: minmax(0, 1fr);
    }

    .is-style-footer-bottom .wp-block-list {
        justify-content: flex-start;
    }
}

@media screen and (max-width: 480px) {
    .is-style-footer-top .grid {
        grid-template-columns: minmax(0, 1fr);
    }
}

/* Navigation
========================================================================== */
.footer-heading {
    font-size: 20px;
    line-height: 1.3;
}

.footer-menu .menu {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    gap: 10px;
    margin-top: 20px;
}

.footer-menu .menu-item a {
    font-size: var(--wp--preset--font-size--menu);
    color: var(--wp--preset--color--white);
    text-decoration: none;
    line-height: 1.4;
}

/* ==========================================================================
Utility classes
========================================================================== */

/* ==========================================================================
Components and modules
========================================================================== */

/* Breadcrumbs
========================================================================== */
.is-style-breadcrumbs {
    padding-top: var(--wp--preset--spacing--l);
    padding-bottom: var(--wp--preset--spacing--l);
}

.is-style-breadcrumbs p {
    font-size: var(--wp--preset--font-size--menu);
}

.is-style-breadcrumbs a {
    color: var(--wp--preset--color--green);
    opacity: 0.5;
}

.is-style-breadcrumbs .separator {
    color: var(--wp--preset--color--green);
    margin-inline: 8px;
    opacity: 0.5;
}

/* Pagination
========================================================================== */

/* Current, hover */
:is(.wp-block-query-pagination, .pagination) .page-numbers.current,
:is(.wp-block-query-pagination, .pagination) .page-numbers:hover {
    background-color: var(--wp--preset--color--dark-teal);
    color: var(--wp--preset--color--teal);
}

.wp-block-query-pagination-previous:hover,
.wp-block-query-pagination-next:hover {
    background-color: var(--wp--preset--color--dark-teal);
    color: var(--wp--preset--color--teal);
}

/* Prev, next */
.pagination .page-numbers,
.wp-block-query-pagination .page-numbers {
    background-color: var(--wp--preset--color--neutral-3);
    border: 1px solid transparent;
    border-radius: 15px;
}

.pagination .page-numbers path {
    fill: var(--wp--preset--color--dark-teal);
}

.pagination .page-numbers:hover path {
    fill: var(--wp--preset--color--teal);
}

.pagination .page-numbers:is(.prev, .next):hover {
    background-color: var(--wp--preset--color--dark-teal);
    color: var(--wp--preset--color--teal);
}

.wp-block-query-pagination .wp-block-query-pagination-previous,
.wp-block-query-pagination .wp-block-query-pagination-next,
.pagination .page-numbers.prev,
.pagination .page-numbers.next {
    background-color: var(--wp--preset--color--neutral-3);
    color: var(--wp--preset--color--black);
    border-radius: 15px;
}

/* Accordion
========================================================================== */
.qt-accordion .grid {
    gap: 0;
}

.accordion-item {
    box-shadow: none;
    border: none;
    border-bottom: 1px solid #ddd;
    padding: var(--wp--preset--spacing--l) var(--wp--preset--spacing--xxs);
    background-color: transparent;
}

/* Accordion heading */
button[data-accordion='accordion-trigger'] {
    font-family: var(--wp--preset--font-family--heading);
    font-weight: 400;
    padding: 0;
    background-color: transparent;
}

.accordion-content__inner {
    padding-inline: 0;
    padding-bottom: 0;
}

/* Accordion content */

/* Accordion icon */
.accordion-icon__inner::before,
.accordion-icon__inner::after {
    background-color: var(--wp--preset--color--green);
}

/* Tabs
========================================================================== */

/* Splide slider
========================================================================== */
.splide .splide__arrow {
    background-color: var(--wp--preset--color--dark-teal);
    border-radius: 10px;
}

.splide__arrow:hover:not(:disabled) {
    opacity: 0.6;
    background-color: var(--wp--preset--color--dark-teal);
}

.splide__track .splide__slide {
    margin: 0;
    padding: 0;
}

/* Slider header */

/* ==========================================================================
Styles for pages, sections, blocks and others.
========================================================================== */

/* Page: Search results
========================================================================== */

/* Section: Hero
========================================================================== */
.is-style-hero .wp-block-cover {
    padding: var(--wp--preset--spacing--xl) var(--wp--preset--spacing--m);
    height: 100vh;
    max-height: 770px;
    color: var(--wp--preset--color--white);
    align-items: flex-end;
}

.is-style-hero .wp-block-cover .wp-block-buttons {
    margin-top: calc(2 * var(--wp--preset--spacing--s));
}

.is-style-hero .wp-block-cover .wp-block-heading {
    font-size: var(--wp--preset--font-size--display);
    line-height: 96px;
    font-style: italic;
    max-width: 1040px;
    margin-bottom: 2rem;
}

/* @media (max-width: 768px) {
    .is-style-hero .wp-block-cover .grid {
        grid-template-columns: minmax(0, 1fr);
    }

    .is-style-hero .wp-block-cover {
        align-items: flex-end;
    }

    .is-style-hero .wp-block-cover .qt-container.has-background {
        display: none;
    }
} */

/* Section: Subhero
========================================================================== */
.is-style-subhero .wp-block-cover {
    padding-top: calc(var(--wp--preset--spacing--xxl) - 10px);
    padding-bottom: calc(var(--wp--preset--spacing--xxl) - 10px);
    min-height: 390px;
}

.is-style-subhero .wp-block-cover .wp-block-buttons {
    margin-top: calc(2 * var(--wp--preset--spacing--s));
}

.is-style-subhero .wp-block-cover .wp-block-heading {
    font-size: var(--wp--preset--font-size--display);
    line-height: 96px;
    font-style: italic;
    margin-bottom: 2rem;
}

/* Section: Stacked boxes
========================================================================== */

/* Section - KPI values
========================================================================== */
.is-style-kpi .grid:not(.grid.grid-col-1) {
    grid-gap: var(--wp--preset--spacing--l);
}

/* Section - Intro with button
========================================================================== */
.is-style-intro-with-button {
    display: grid;
    grid-template-columns: minmax(0, var(--wp--custom--maxwidth--s)) 1fr;
    grid-column-gap: var(--wp--style--block-gap);
}

.is-style-intro-with-button p {
    grid-column: 1;
}

.is-style-intro-with-button .wp-block-buttons {
    margin: 0;
    display: flex;
    align-content: flex-end;
    justify-content: flex-end;
}

@media (max-width: 768px) {
    .is-style-intro-with-button {
        grid-template-columns: minmax(0, 1fr);
    }

    .is-style-intro-with-button .wp-block-buttons {
        margin-top: var(--wp--preset--spacing--l);
        justify-content: flex-start;
    }
}

/* Section - Boxes with aspect ratio
========================================================================== */

[class*='is-style-boxes-'] .qt-container > a {
    display: flex;
    flex-direction: column;
    text-decoration: none;
}

[class*='is-style-boxes-'] .qt-container {
    padding: 0;
}
[class*='is-style-boxes-'] .qt-container > a {
    padding: var(--wp--preset--spacing--m);
}

[class*='is-style-boxes-'] p:last-of-type {
    margin-top: auto;
}

@media (max-width: 768px) {
    [class*='is-style-boxes-'] .grid-col-3 {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }

    [class*='is-style-boxes-'] .qt-container > a {
        aspect-ratio: 1/1 !important;
    }
}

@media (max-width: 670px) {
    [class*='is-style-boxes-'] .grid {
        grid-template-columns: minmax(0, 1fr);
    }
}

/* Boxes with portrait cards */
.is-style-boxes-portrait .qt-container > a {
    aspect-ratio: 2/3;
}

/* Boxes with landscape cards */
.is-style-boxes-landscape .qt-container > a {
    aspect-ratio: 16/9;
}

/* Boxes with square cards */
.is-style-boxes-square .qt-container > a {
    aspect-ratio: 1/1;
}

/* TEMP */
.is-style-boxes-portrait .qt-container > a,
.is-style-boxes-square .qt-container > a,
.is-style-boxes-landscape .qt-container > a {
    aspect-ratio: unset;
}

/* Slider - Logos
========================================================================== */

/* Archive: Category
========================================================================== */

/* Category - Publikationer */
@media (min-width: 511px) {
    .category-publikationer .articles {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}

/* Page: Articles
========================================================================== */

.articles.grid,
.latest-articles.grid {
    grid-gap: var(--wp--style--block-gap);
}

/* Filter buttons */
.articles__filter-buttons {
    margin-bottom: calc(2 * var(--wp--style--block-gap));
    margin-top: 0;
    align-items: center;
}

.articles__filter-buttons::before {
    content: 'Filtrera:';
    font-weight: 500;
    font-size: var(--wp--preset--font-size--m);
}

.articles__filter-buttons .wp-block-button__link:is(.active, :hover) {
    background-color: var(--wp--preset--color--dark-teal);
    color: var(--wp--preset--color--teal);
}

/* Card */
.card--article {
    background-color: var(--wp--preset--color--teal);
    border-radius: 15px;
    padding: var(--wp--preset--spacing--m);
}

.card--article .card__image {
    aspect-ratio: var(--wp--custom--aspect-ratio--square);
    border-radius: 15px;
    position: relative;
}

.card--article .card__image .is-style-tag {
    position: absolute;
    top: 20px;
    left: 20px;
}

.card--article .card__image-img {
    height: 100%;
}

.card--article .card__title {
    margin-bottom: 0;
    line-height: 1.15;
    font-weight: 500;
}

/* Single: Article
========================================================================== */

.single .wp-block-post-title {
    margin-bottom: 0;
}

/* Post meta */
.single .post-meta:has(.post-meta__categories) {
    margin-top: 0;
    margin-bottom: var(--wp--preset--spacing--l);
}

.single .post-meta:has(.post-meta__date) {
    margin-top: 0;
}

.single .post-meta__categories {
    display: flex;
    gap: var(--wp--style--block-gap);
    margin: 0;
}

.single .post-meta__categories::before {
    display: none;
}

.single .post-meta__category .is-style-tag {
    text-decoration: none;
    font-weight: 500;
    color: var(--wp--preset--color--dark-teal);
}

.single .post-meta__date {
    margin-top: var(--wp--preset--spacing--l);
    color: initial;
}

/* Featured image */
.single .wp-block-post-featured-image img {
    aspect-ratio: var(--wp--custom--aspect-ratio--landscape-wide);
    border-radius: 20px;
}

/* Page: Publications
========================================================================== */

/* .card--publication .card__image {
	aspect-ratio: var(--wp--custom--aspect-ratio--square);
}

.card--publication .card__image-img {
	height: 100%;
} */

/* Single: Publication
========================================================================== */

/* Section: Employees
========================================================================== */

.card--employee {
    display: grid;
    grid-template-columns: 1fr 2fr;
    grid-template-rows: auto 1fr;
    grid-gap: calc(1.5 * var(--wp--style--block-gap));
    align-items: flex-start;
}

.card--employee .card__image-img {
    aspect-ratio: var(--wp--custom--aspect-ratio--square);
}

.card--employee .card__content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
}

.card--employee .card__content [class*='card__'] {
    margin-bottom: 0;
}

.card--employee .is-style-tag {
    background-color: transparent;
    border: 1.5px solid var(--wp--preset--color--dark-teal);
    color: inherit;
}

.card--employee .card__name {
    margin-bottom: 0.5em !important;
    font-weight: 500;
}

.card--employee .card__phone::before {
    content: 'T:';
    font-weight: 600;
}

.card--employee .card__email::before {
    content: 'E:';
    font-weight: 600;
}

.card--employee .card__description {
    font-size: var(--wp--preset--font-size--xs);
    grid-column: 1/-1;
}

@media screen and (max-width: 670px) {
    .card--employee {
        grid-gap: var(--wp--style--block-gap);
    }
}

/* Section: Testimonial slider
========================================================================== */

.testimonials *::-webkit-scrollbar {
    display: none;
}

.testimonials {
    padding-right: 0;
    -ms-overflow-style: none;
    scrollbar-width: none;
    overflow-x: hidden;
}

.testimonials .qt-section__inner {
    display: grid;
    grid-gap: var(--wp--style--block-gap) 0;
    max-width: none;
    grid-template-columns:
        1fr calc(
            var(--wp--custom--maxwidth--default) + var(--wp--preset--spacing--m)
        )
        1fr;
}

.testimonials .qt-container {
    grid-column: 2 / -1;
    position: relative;
    left: var(--wp--preset--spacing--s);
}

.slider-testimonials {
    grid-column: 2 / -1;
    grid-gap: 0;
    left: calc(-1 * var(--wp--preset--spacing--s));
    /* width: calc(100% + var(--wp--preset--spacing--s)); */
    position: relative;
}

.slider-testimonials .splide__list {
    display: flex;
    gap: 0;
}

.slider-testimonials .splide__arrows {
    width: 100px;
    position: relative;
    left: var(--wp--preset--spacing--2);
    top: unset;
    margin-top: calc(3 * var(--wp--style--block-gap));
}

.slider-testimonials .splide__arrow--prev {
    left: 0;
}

@media (max-width: 1104px) {
    .testimonials .qt-section__inner {
        grid-template-columns: minmax(0, 1fr);
    }

    .testimonials .qt-container {
        grid-column: 1;
    }
}

/* Testimonial card */
.card--testimonial {
    padding: var(--wp--preset--spacing--m);
    border-radius: 20px;
    display: grid;
    grid-template-columns: 1fr 3fr;
    grid-gap: var(--wp--preset--spacing--m) var(--wp--preset--spacing--l);
}

.card--testimonial .is-style-tag {
    margin-bottom: 0;
}

.card--testimonial .card__content {
    grid-column: 2/3;
}

.card--testimonial .card__author {
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: var(--wp--preset--spacing--m);
}

.card--testimonial .card__author-name {
    font-weight: 500;
    color: inherit;
}

.card--testimonial .card__author-subheadline {
    opacity: 0.6;
}

.card--testimonial .card__content {
    font-size: var(--wp--preset--font-size--xs);
}

.card--testimonial .card__quotatation {
    padding: var(--wp--preset--spacing--m);
}

@media (max-width: 670px) {
    .card--testimonial {
        grid-template-columns: 1fr;
    }

    .card--testimonial .card__quotatation {
        padding: var(--wp--preset--spacing--s) 0;
    }

    .card--testimonial .card__quotatation img {
        width: 45px;
    }

    .card--testimonial .card__author,
    .card--testimonial .card__content {
        grid-column: 1/-1;
    }

    .card--testimonial .is-style-tag {
        margin-bottom: 0;
    }
}

/* Testimonial card - Odd */
.splide__slide:nth-child(odd) .card--testimonial {
    background-color: var(--wp--preset--color--teal);
}

.splide__slide:nth-child(odd) .card--testimonial img {
    filter: brightness(0) saturate(100%) invert(13%) sepia(62%) saturate(514%)
        hue-rotate(141deg) brightness(90%) contrast(103%);
}

.splide__slide:nth-child(odd) .card--testimonial .is-style-tag {
    background-color: var(--wp--preset--color--dark-teal);
    color: var(--wp--preset--color--teal);
}

.splide__slide:nth-child(odd) .card--testimonial .card__author,
.splide__slide:nth-child(odd) .card--testimonial .card__content {
    color: var(--wp--preset--color--dark-teal);
}

.splide__slide:nth-child(odd) .card--testimonial .card__author-subheadline {
    color: var(--wp--preset--color--dark-teal);
}

/* Testimonial card - Even */
.splide__slide:nth-child(even) .card--testimonial {
    background-color: var(--wp--preset--color--dark-teal);
}
.splide__slide:nth-child(even) .card--testimonial img {
    filter: brightness(0) saturate(100%) invert(94%) sepia(8%) saturate(571%)
        hue-rotate(142deg) brightness(97%) contrast(95%);
}

.splide__slide:nth-child(even) .card--testimonial .is-style-tag {
    color: var(--wp--preset--color--dark-teal);
}

.splide__slide:nth-child(even) .card--testimonial .card__author,
.splide__slide:nth-child(even) .card--testimonial .card__content {
    color: var(--wp--preset--color--teal);
}

.splide__slide:nth-child(even) .card--testimonial .card__author-subheadline {
    color: var(--wp--preset--color--teal);
}

/* Section: Feature slider
========================================================================== */
.slider-features {
    display: grid;
    grid-template-columns: 2fr 10fr;
    grid-gap: calc(2 * var(--wp--style--block-gap));
    align-items: center;
    margin-right: calc(-1 * var(--wp--preset--spacing--m));
}

.slider-features .splide__track {
    grid-column: 2 / 3;
}

.slider-features .splide__pagination {
    grid-area: 1 / 1 / -1 / 2;
    position: relative;
    padding: 0;

    flex-direction: column;
    gap: var(--wp--style--block-gap);
    align-items: flex-start;
    justify-content: center;
}

/* Slider pagination */
.slider-features .splide__pagination__page {
    margin: 0;
    background: none;
    width: auto;
    height: auto;
    transform: none;
    color: var(--wp--preset--color--teal);
    font-weight: 500;
    text-align: left;
    line-height: 1.5;
    border-radius: 0;
    transform: none;
    opacity: 0.4;
    transition: all 150ms linear;
}

.slider-features .splide__pagination__page:hover,
.slider-features .splide__pagination__page.is-active {
    opacity: 1;
}

/* Feature card */
.card--feature {
    display: grid;
    grid-template-columns: 4fr 5fr;
    grid-gap: calc(2 * var(--wp--style--block-gap));
    align-items: center;
}

.card--feature .card__image-img {
    border-radius: 20px;
    aspect-ratio: var(--wp--custom--aspect-ratio--square);
    object-fit: cover;
}

.card--feature h3.card__content-heading {
    color: var(--wp--preset--color--teal);
    font-size: var(--wp--preset--font-size--l);
}

.card--feature .card__content-text {
    font-size: var(--wp--preset--font-size--xs);
}

.card--feature .card__content-text ul {
    list-style: initial;
}

@media (max-width: 768px) {
    .slider-features {
        display: flex;
    }

    .card--feature {
        display: flex;
        flex-direction: column;
        gap: var(--wp--style--block-gap);
    }
}

/* Section: FAQ
========================================================================== */
.qt-accordion .accordion-item__heading .wp-block-heading {
    font-size: var(--wp--preset--font-size--m);
}

/* Wheat icon
* Milk icon
* Vegetarian icon
* Nut icon
*/
.is-style-wheat-icon,
.is-style-milk-icon,
.is-style-vegetarian-icon,
.is-style-nut-icon {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    line-height: 1.3;
}

.is-style-wheat-icon:before,
.is-style-milk-icon:before,
.is-style-vegetarian-icon:before,
.is-style-nut-icon:before {
    margin-right: 5px;
    content: '';
    width: 24px;
    aspect-ratio: 1;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

/* Wheat icon */
.is-style-wheat-icon:before {
    background-image: url('../images/icon-wheat.svg');
}

/* Milk icon */
.is-style-milk-icon:before {
    background-image: url('../images/icon-milk.svg');
}

/* Vegetarian icon */
.is-style-vegetarian-icon:before {
    background-image: url('../images/icon-vegetarian.svg');
}

/* Nut icon */
.is-style-nut-icon:before {
    background-image: url('../images/icon-nut.svg');
}

/*  Footer links */
.is-style-footer-links {
    display: flex;
    gap: 48px;
}

/* Paragraph: Eyebrow
========================================================================== */
p.is-style-eyebrow {
    font-style: italic;
    font-size: 18px;
    text-transform: uppercase;
    color: var(--wp--preset--color--green);
    font-weight: 500;
    letter-spacing: -0.18px;
    margin-bottom: 1rem;
}

.is-style-hero .is-style-eyebrow {
    color: var(--wp--preset--color--white);
}

.qt-section.has-green-background-color .is-style-eyebrow {
    color: var(--wp--preset--color--gold) !important;
}

/* Paragraph: Max width
========================================================================== */
.is-style-max-width {
    font-size: var(--wp--preset--font-size--ml);
    color: var(--wp--preset--color--green);
    max-width: 819px;
}

.is-style-hero .is-style-max-width,
.is-style-subhero .is-style-max-width {
    color: var(--wp--preset--color--white);
}

/* Section: 2 Col Image
========================================================================== */
.is-style-2-col-image .grid {
    max-width: var(--wp--style--global--wide-size);
    gap: 0;
}

.is-style-2-col-image .wp-block-image img {
    width: 100%;
    max-height: 240px;
    object-fit: cover;
}

@media (max-width: 768px) {
    .is-style-2-col-image .grid {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}

/* Paragraph: H3 style
========================================================================== */
.is-style-h3-style {
    font-size: var(--wp--preset--font-size--l);
    color: var(--wp--preset--color--green);
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.is-style-h3-style:has(+ *) {
    margin-bottom: 29px;
}

/* Container: Column
========================================================================== */
.is-style-text-column {
    padding: var(--wp--preset--spacing--l);
}

/* Section: CTA
========================================================================== */
.is-style-cta .grid {
    gap: var(--wp--preset--spacing--l);
}

.is-style-cta .is-style-text-column .is-style-eyebrow ~ .is-style-h3-style {
    margin-top: 29px;
}

.is-style-cta .is-style-image-column .wp-block-image img {
    aspect-ratio: 7 / 5;
    width: 100%;
    object-fit: cover;
}

@media (max-width: 768px) {
    .is-style-cta .grid {
        gap: calc(3 * var(--wp--preset--spacing--s));
    }
}

/* Paragraph: Reviews
========================================================================== */
.is-style-reviews {
    display: flex;
    font-size: var(--wp--preset--font-size--ml);
    gap: 1rem;
    align-items: center;
}

@media (max-width: 670px) {
    .is-style-reviews {
        flex-direction: column;
        align-items: flex-start;
    }
}

/* List: Arrow list
========================================================================== */
.is-style-arrow-list {
    display: flex;
    flex-direction: column;
    gap: var(--wp--preset--spacing--s);
}

.is-style-arrow-list li {
    display: flex;
    gap: var(--wp--preset--spacing--s);
}

.is-style-arrow-list li:before {
    content: url('../images/icon-arrow-large.svg');
    margin-bottom: 4px;
}

/* Card: locations
========================================================================== */
.location-card {
    display: flex;
    flex-direction: column;
    gap: calc(2 * var(--wp--preset--spacing--l));
    border: 1px solid #ddd;
    padding: var(--wp--preset--spacing--l);
}

.location-card:hover {
    background-color: var(--wp--preset--color--gold);
}

.location-card__title {
    font-weight: 400;
    display: flex;
    align-items: center;
    margin-bottom: 0;
}

.location-card__title::before {
    content: '';
    display: inline-block;
    width: 30px;
    height: 33px;
    aspect-ratio: 11 / 12;
    margin-right: 1rem;
    flex-shrink: 0;
    background-image: url('../images/icon-arrow-heading.svg');
    background-size: cover;
    background-position: center;
}

.location-card__info {
    font-size: var(--wp--preset--font-size--ml);
    line-height: normal;
}

.location-card__info p {
    font-size: inherit;
    line-height: inherit;
    margin-bottom: 0;
}

.location-card__hours-list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: var(--wp--preset--spacing--m);
    border-bottom: 1px solid #ddd;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
}

.location-card:hover .location-card__hours-list {
    border-bottom: 1px solid var(--wp--preset--color--green);
}

.location-card__hours-list:first-of-type,
.location-card__hours-list:last-of-type {
    padding-top: 0;
}

.location-card__hours-days {
    margin-bottom: 0;
}

@media (max-width: 1190px) {
    .locations .grid-col-3 {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}

@media (max-width: 700px) {
    .locations .grid-col-3 {
        grid-template-columns: minmax(0, 1fr);
    }
}

/* Block: Location
========================================================================== */
.single-location {
    color: var(--wp--preset--color--white);
}

.single-location p {
    color: currentColor;
}

.single-location__info {
    padding-top: var(--wp--preset--spacing--l);
    padding-bottom: var(--wp--preset--spacing--l);
    border-bottom: 1px solid #ddd;
    color: currentColor;
}

.single-location__info:first-of-type {
    border-top: 1px solid #ddd;
}

.single-location__info:last-of-type {
    margin-bottom: var(--wp--preset--spacing--l);
}

.single-location__hours-list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: var(--wp--preset--spacing--m);
    margin-bottom: 0.5rem;
}

.single-location__hours-list p {
    margin-bottom: 0;
}

.single-location__info-phone a {
    text-decoration-thickness: 1px;
}

.single-location__info-phone a:hover {
    color: currentColor;
}

/* Image: Default Ratio
========================================================================== */
.is-style-default-ratio img {
    aspect-ratio: unset !important;
}

/* Section: 2 Col Text
========================================================================== */
.is-style-2-col-text .grid {
    grid-template-columns: 5fr 7fr;
    gap: calc(4 * var(--wp--preset--spacing--s));
}

@media (max-width: 768px) {
    .is-style-2-col-text .grid {
        grid-template-columns: minmax(0, 1fr);
        gap: calc(3 * var(--wp--preset--spacing--s));
    }
}

/* Section: Contact form
========================================================================== */
.is-style-contact-form .grid {
    grid-gap: var(--wp--preset--spacing--l);
}

.is-style-contact-form .wp-block-cover {
    height: 100%;
    min-height: 370px;
    padding: calc(3 * var(--wp--preset--spacing--s))
        calc(2 * var(--wp--preset--spacing--s));
}

.is-style-contact-form .wp-block-cover__inner-container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    color: var(--wp--preset--color--white);
}

.is-style-contact-form .wp-block-cover__inner-container .wp-block-heading {
    font-size: var(--wp--preset--font-size--xl);
    line-height: 1.1;
}

.is-style-contact-form .wp-block-cover__inner-container p {
    font-size: var(--wp--preset--font-size--ml);
    margin-top: 0;
}

@media (max-width: 768px) {
    .is-style-contact-form .grid {
        gap: calc(3 * var(--wp--preset--spacing--s));
    }
}

/* Card: Job card
========================================================================== */
.card--job {
    padding: var(--wp--preset--spacing--l);
    border: 1px solid #ddd;
}

.card--job:hover {
    background-color: var(--wp--preset--color--gold);
}

.card--job .card__image img {
    aspect-ratio: var(--wp--custom--aspect-ratio--square);
}

.card--job .card__title {
    font-size: var(--wp--preset--font-size--l);
    line-height: normal;
    margin-bottom: 0;
}
